summaryrefslogtreecommitdiffstats
path: root/src/main/scripts/historyDbInitialLoad.sh
diff options
context:
space:
mode:
authorLaMont, William(wl2432) <wl2432@att.com>2020-02-28 16:48:41 -0500
committerLaMont, William(wl2432) <wl2432@att.com>2020-03-03 18:10:37 -0500
commit9b65b7126bc77c18c196ed2b6e625a5a864c98dc (patch)
tree7e0dd55538ad2af20c414369f628134e9f3191ae /src/main/scripts/historyDbInitialLoad.sh
parent30282f9e3f6ab0ed9599f5bb2e2c743cbd099089 (diff)
support for v17 through v19
Issue-ID: AAI-2751 Change-Id: I75c9b2057065e1374f25e2b6b12de0a8003ac781 Signed-off-by: LaMont, William(wl2432) <wl2432@att.com>
Diffstat (limited to 'src/main/scripts/historyDbInitialLoad.sh')
-rw-r--r--src/main/scripts/historyDbInitialLoad.sh54
1 files changed, 54 insertions, 0 deletions
diff --git a/src/main/scripts/historyDbInitialLoad.sh b/src/main/scripts/historyDbInitialLoad.sh
new file mode 100644
index 0000000..1341b86
--- /dev/null
+++ b/src/main/scripts/historyDbInitialLoad.sh
@@ -0,0 +1,54 @@
+#!/bin/ksh
+#
+# This script uses "history" versions of dataSnapshot and SchemaGenerator (via genTester)
+# java classes to do the INITIAL load of a history database based on regular dataSnapShot
+# files (assumed to be 'clean') from an existing non-history database.
+# Steps:
+# 1) Make sure the db is empty: clear out any existing data and schema.
+# 2) rebuild the schema (using the SchemaGenerator4Hist)
+# 3) reload data from the passed-in datafiles (which must found in the dataSnapShots directory and
+# contain a json view of the db data).
+#
+
+COMMON_ENV_PATH=$( cd "$(dirname "$0")" ; pwd -P )
+. ${COMMON_ENV_PATH}/common_functions.sh
+
+start_date;
+check_user;
+
+if [ "$#" -lt 1 ]; then
+ echo "Illegal number of parameters"
+ echo "usage: $0 base_snapshot_filename"
+ exit 1
+fi
+
+source_profile;
+export JAVA_PRE_OPTS=${JAVA_PRE_OPTS:--Xms6g -Xmx8g};
+
+#### Step 1) Make sure the target database is cleared
+echo "---- First Step: clear the db ----"
+execute_spring_jar org.onap.aai.datasnapshot.DataSnapshot4HistInit ${PROJECT_HOME}/resources/logback.xml "-c" "CLEAR_ENTIRE_DATABASE" "-f" "$1"
+if [ "$?" -ne "0" ]; then
+ echo "Problem clearing out database."
+ exit 1
+fi
+
+#### Step 2) rebuild the db-schema
+echo "---- Second Step: rebuild the db schema ----"
+execute_spring_jar org.onap.aai.schema.GenTester4Hist ${PROJECT_HOME}/resources/logback.xml "GEN_DB_WITH_NO_DEFAULT_CR"
+if [ "$?" -ne "0" ]; then
+ echo "Problem rebuilding the schema (SchemaGenerator4Hist)."
+ exit 1
+fi
+
+#### Step 3) load the data from snapshot files
+echo "---- Third Step: Load data from snapshot files ----"
+execute_spring_jar org.onap.aai.datasnapshot.DataSnapshot4HistInit ${PROJECT_HOME}/resources/logback.xml "-c" "MULTITHREAD_RELOAD" "-f" "$1"
+if [ "$?" -ne "0" ]; then
+ echo "Problem reloading data into the database."
+ end_date;
+ exit 1
+fi
+
+end_date;
+exit 0